Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.stream
Class StreamResult

    java.lang.Object
      |
      +--javax.xml.transform.stream.StreamResult

All Implemented Interfaces:
  Result

public class StreamResult
extends java.lang.Object
implements Result

Stream Result

Version:
  1.0
Author:
  Andrew Selkirk, David Brownell

Field Summary
`static java.lang.String` | `FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`StreamResult()`
`StreamResult(java.io.File file)`
`StreamResult(java.io.OutputStream stream)`
`StreamResult(java.lang.String systemID)`
`StreamResult(java.io.Writer writer)`

Method Summary
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getSystemId()`
`java.io.Writer` | `getWriter()`
`void` | `setOutputStream(java.io.OutputStream stream)`
`void` | `setSystemId(java.io.File file)`
`void` | `setSystemId(java.lang.String systemID)`
`void` | `setWriter(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

Constructor Detail

### StreamResult

    public StreamResult()

### StreamResult

    public StreamResult(java.io.OutputStream stream)

### StreamResult

    public StreamResult(java.io.Writer writer)

### StreamResult

    public StreamResult(java.lang.String systemID)

### StreamResult

    public StreamResult(java.io.File file)

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `Result`

### getWriter

    public java.io.Writer getWriter()

### setOutputStream

    public void setOutputStream(java.io.OutputStream stream)

### setWriter

    public void setWriter(java.io.Writer writer)

### setSystemId

    public void setSystemId(java.io.File file)

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Specified by:
    `setSystemId` in interface `Result`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.